org.yaml.snakeyaml.tokens

## Class Token

- java.lang.Object
- - org.yaml.snakeyaml.tokens.Token

Direct Known Subclasses:
  AliasToken, AnchorToken, BlockEndToken, BlockEntryToken, BlockMappingStartToken, BlockSequenceStartToken, CommentToken, DirectiveToken, DocumentEndToken, DocumentStartToken, FlowEntryToken, FlowMappingEndToken, FlowMappingStartToken, FlowSequenceEndToken, FlowSequenceStartToken, KeyToken, ScalarToken, StreamEndToken, StreamStartToken, TagToken, ValueToken, WhitespaceToken

    public abstract class Token
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Token.ID`

### Constructor Summary

Constructors
Constructor and Description
`Token(Mark startMark, Mark endMark)`

### Method Summary

Methods
`Mark` `getEndMark()`
`Mark` `getStartMark()`
`abstract Token.ID` `getTokenId()` For error reporting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Token

    public Token(Mark startMark,
         Mark endMark)

### Method Detail

#### getStartMark

    public Mark getStartMark()

#### getEndMark

    public Mark getEndMark()

#### getTokenId

    public abstract Token.ID getTokenId()

For error reporting.

Returns:
  ID of this token
See Also:
  "class variable 'id' in PyYAML"